Cannoli_2.12: CLI 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package cannoli
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    cannoli
- About
- BcftoolsCall
- BcftoolsCallArgs
- BcftoolsMpileup
- BcftoolsMpileupArgs
- BcftoolsNorm
- BcftoolsNormArgs
- BedtoolsIntersect
- BedtoolsIntersectArgs
- Blastn
- BlastnArgs
- Bowtie
- Bowtie2
- Bowtie2Args
- BowtieArgs
- BwaMem
- BwaMem2
- BwaMem2Args
- BwaMemArgs
- Cannoli
- CannoliModule
- Freebayes
- FreebayesArgs
- Gem
- GemArgs
- InterleaveFastq
- InterleaveFastqArgs
- LongMinimap2
- LongMinimap2Args
- LongUnimap
- LongUnimapArgs
- MagicBlast
- MagicBlastArgs
- Minimap2
- Minimap2Args
- SampleReads
- SampleReadsArgs
- SamtoolsMpileup
- SamtoolsMpileupArgs
- SingleEndBowtie2
- SingleEndBowtie2Args
- SingleEndBwaMem
- SingleEndBwaMem2
- SingleEndBwaMem2Args
- SingleEndBwaMemArgs
- SingleEndMinimap2
- SingleEndMinimap2Args
- SingleEndStar
- SingleEndStarArgs
- SingleEndUnimap
- SingleEndUnimapArgs
- Snap
- SnapArgs
- SnpEff
- SnpEffArgs
- Star
- StarArgs
- Unimap
- UnimapArgs
- Vep
- VepArgs
- VtNormalize
- VtNormalizeArgs

c

org.bdgenomics.cannoli.cli

# LongUnimapArgs 

###

#### class LongUnimapArgs extends cannoli.UnimapArgs with ADAMSaveAnyArgs with ParquetArgs

Long read Unimap command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, cannoli.UnimapArgs, ReadGroupArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LongUnimapArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. UnimapArgs
7. ReadGroupArgs
8. Args4jBase
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new LongUnimapArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  var addFiles: Boolean
   Definition Classes
     UnimapArgs
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  var asSingleFile: Boolean
   Definition Classes
     LongUnimapArgs → ADAMSaveAnyArgs
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
9.  val compressionCodec: CompressionCodecName
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
10.  def createReadGroup(): ReadGroup
    Definition Classes
      ReadGroupArgs
11.  var deferMerging: Boolean
    Definition Classes
      LongUnimapArgs → ADAMSaveAnyArgs
12.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
13.  var disableFastConcat: Boolean
    Definition Classes
      LongUnimapArgs → ADAMSaveAnyArgs
14.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  var executable: String
    Definition Classes
      UnimapArgs
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  var flowOrder: String
    Definition Classes
      ReadGroupArgs
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  var image: String
    Definition Classes
      UnimapArgs
23.  var indexPath: String
    Definition Classes
      UnimapArgs
24.  var inputPath: String
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  var keySequence: String
    Definition Classes
      ReadGroupArgs
27.  var library: String
    Definition Classes
      ReadGroupArgs
28.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
29.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
30.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  var outputPath: String
    Definition Classes
      LongUnimapArgs → SaveArgs
33.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
34.  var platform: String
    Definition Classes
      ReadGroupArgs
35.  var platformModel: String
    Definition Classes
      ReadGroupArgs
36.  var platformUnit: String
    Definition Classes
      ReadGroupArgs
37.  var predictedMedianInsertSize: Integer
    Definition Classes
      ReadGroupArgs
38.  var preset: String
    Definition Classes
      UnimapArgs
39.  var readGroup: ReadGroup
    Definition Classes
      ReadGroupArgs
40.  var readGroupId: String
    Definition Classes
      ReadGroupArgs
41.  var runDate: Long
    Definition Classes
      ReadGroupArgs
42.  var sampleId: String
    Definition Classes
      ReadGroupArgs
43.  var seed: Integer
    Definition Classes
      UnimapArgs
44.  var sequenceDictionary: String
45.  var sequencingCenter: String
    Definition Classes
      ReadGroupArgs
46.  var sortFastqOutput: Boolean
    Definition Classes
      LongUnimapArgs → ADAMSaveAnyArgs
47.  var sudo: Boolean
    Definition Classes
      UnimapArgs
48.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
49.  def toString(): String
    Definition Classes
      AnyRef → Any
50.  var unimapArgs: String
    Definition Classes
      UnimapArgs
51.  var useDocker: Boolean
    Definition Classes
      UnimapArgs
52.  var useSingularity: Boolean
    Definition Classes
      UnimapArgs
53.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
54.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
55.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from cannoli.UnimapArgs

### Inherited from ReadGroupArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped